Subject: Re: [RESEND][PATCH] net: cpsw: fix obtaining mac address for am3517

From: Måns Rullgård <[email-masked]>
Date: Sat, 24 Jun 2023 15:24:47 +0100

Andrew Lunn <[email-masked]> writes:

> On Sat, Jun 24, 2023 at 01:10:59PM +0100, Mans Rullgard wrote:
>> From: Jeroen Hofstee <[email-masked]>
>> 
>> Commit b6745f6e4e63 ("drivers: net: cpsw: davinci_emac: move reading mac
>> id to common file") did not only move the code for an am3517, it also
>> added the slave parameter, resulting in an invalid (all zero) mac address
>> being returned for an am3517, since it only has a single emac
>
> Hi Mans
>
> If there is only a single emac, why is the function being called with
> slave=1? Given the description, it seems like you are fixing the wrong
> problem.

See previous discussion:
https://lore.kernel.org/lkml/[email-masked]/

-- 
Måns Rullgård